ServiceType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service
Class ServiceType

    java.lang.Object
      javax.tv.service.ServiceType

Direct Known Subclasses:
  AbstractServiceType, RecordedServiceType

    public class ServiceType

extends Object

This class represents service type values such as "digital television", "digital radio", "NVOD reference service", "NVOD time-shifted service", "analog television", "analog radio", "data broadcast" and "application". These basic service types can be extended by subclassing.

(These values are mappable to the ATSC service type in the VCT table and the DVB service type in the Service Descriptor.)

Field Summary
`static ServiceType` | `ANALOG_RADIO` Analog radio service type.
`static ServiceType` | `ANALOG_TV` Analog TV service type.
`static ServiceType` | `DATA_APPLICATION` Data application service type identifying an interactive application.
`static ServiceType` | `DATA_BROADCAST` Data broadcast service type identifying a data service.
`static ServiceType` | `DIGITAL_RADIO` Digital radio service type.
`static ServiceType` | `DIGITAL_TV` Digital TV service type.
`static ServiceType` | `NVOD_REFERENCE` NVOD reference service type.
`static ServiceType` | `NVOD_TIME_SHIFTED` NVOD time-shifted service type.
`static ServiceType` | `UNKNOWN` Unknown service type.

Method Summary
`String` | `toString()` Provides the string name of the type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIGITAL_TV

    public static final ServiceType DIGITAL_TV

  Digital TV service type.

### DIGITAL_RADIO

    public static final ServiceType DIGITAL_RADIO

  Digital radio service type.

### NVOD_REFERENCE

    public static final ServiceType NVOD_REFERENCE

  NVOD reference service type.

### NVOD_TIME_SHIFTED

    public static final ServiceType NVOD_TIME_SHIFTED

  NVOD time-shifted service type.

### ANALOG_TV

    public static final ServiceType ANALOG_TV

  Analog TV service type.

### ANALOG_RADIO

    public static final ServiceType ANALOG_RADIO

  Analog radio service type.

### DATA_BROADCAST

    public static final ServiceType DATA_BROADCAST

  Data broadcast service type identifying a data service.

### DATA_APPLICATION

    public static final ServiceType DATA_APPLICATION

  Data application service type identifying an interactive application.

### UNKNOWN

    public static final ServiceType UNKNOWN

  Unknown service type.

Method Detail

### toString

    public String toString()

  Provides the string name of the type. For the type objects defined in this class, the string name will be identical to the class variable name.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD